# CUpti_ActivityName Struct Reference
[CUPTI Activity API]

The activity record providing a name. More...

## Data Fields

CUpti_ActivityKind | kind
const char * | name
CUpti_ActivityObjectKindId | objectId
CUpti_ActivityObjectKind | objectKind

## Detailed Description

This activity record provides a name for a device, context, thread, etc. (CUPTI_ACTIVITY_KIND_NAME).

## Field Documentation

CUpti_ActivityKind CUpti_ActivityName::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_NAME.

const char* CUpti_ActivityName::name

The name.

CUpti_ActivityObjectKindId CUpti_ActivityName::objectId

The identifier for the activity object. 'objectKind' indicates which ID is valid for this record.

CUpti_ActivityObjectKind CUpti_ActivityName::objectKind

The kind of activity object being named.